Cabal-3.10.1.0: A framework for packaging Haskell software

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Types.GivenComponent

Synopsis

- data GivenComponent = GivenComponent {
  - givenComponentPackage :: PackageName
  - givenComponentName :: LibraryName
  - givenComponentId :: ComponentId
  }

# Documentation

data GivenComponent Source #

A `GivenComponent` represents a library depended on and explicitly specified by the user/client with `--dependency`

It enables Cabal to know which `ComponentId` to associate with a library

Since: Cabal-2.3.0.0

Constructors

GivenComponent |

Fields

- givenComponentPackage :: PackageName
- givenComponentName :: LibraryName
- givenComponentId :: ComponentId

#### Instances

Instances details

Structured GivenComponent Source # |
Instance details Defined in Distribution.Types.GivenComponent Methods structure :: Proxy GivenComponent -> Structure Source # structureHash' :: Tagged GivenComponent MD5
Generic GivenComponent Source # |
Instance details Defined in Distribution.Types.GivenComponent Associated Types type Rep GivenComponent :: Type -> Type Source # Methods from :: GivenComponent -> Rep GivenComponent x Source # to :: Rep GivenComponent x -> GivenComponent Source #
Read GivenComponent Source # |
Instance details Defined in Distribution.Types.GivenComponent Methods readsPrec :: Int -> ReadS GivenComponent Source # readList :: ReadS [GivenComponent] Source # readPrec :: ReadPrec GivenComponent Source # readListPrec :: ReadPrec [GivenComponent] Source #
Show GivenComponent Source # |
Instance details Defined in Distribution.Types.GivenComponent Methods showsPrec :: Int -> GivenComponent -> ShowS Source # show :: GivenComponent -> String Source # showList :: [GivenComponent] -> ShowS Source #
Binary GivenComponent Source # |
Instance details Defined in Distribution.Types.GivenComponent Methods put :: GivenComponent -> Put # get :: Get GivenComponent # putList :: [GivenComponent] -> Put #
Eq GivenComponent Source # |
Instance details Defined in Distribution.Types.GivenComponent Methods (==) :: GivenComponent -> GivenComponent -> Bool # (/=) :: GivenComponent -> GivenComponent -> Bool #
type Rep GivenComponent Source # |

Instance details

Defined in Distribution.Types.GivenComponent

type Rep GivenComponent = D1 ('MetaData "GivenComponent" "Distribution.Types.GivenComponent" "Cabal-3.10.1.0" 'False) (C1 ('MetaCons "GivenComponent" 'PrefixI 'True) (S1 ('MetaSel ('Just "givenComponentPackage") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 PackageName) :*: (S1 ('MetaSel ('Just "givenComponentName") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 LibraryName) :*: S1 ('MetaSel ('Just "givenComponentId") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 ComponentId))))